Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000358KdenliveUser Interfacepublic2008-11-15 14:452008-12-29 15:37
Reporteraaribaud 
Assigned Tomadsdyd 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.7.0 
Target Version0.7.1Fixed in Version0.7.1 
Summary0000358: Resize clip in timeline from clip end causes clip to disappear or shrink in imported 0.5 project
DescriptionWhen importing a 0.5 project, any attempt to resize a clip on the timeline by dragging its end (green arrow pointing left, on right side of clip) causes the clip to disappear or shrink.
Additional InformationExample project available at http://88.191.17.245/kdenlivebug20081115.tar.bz2. [^]
2 Gb once untarred.
Original clips content has been replaced by uniform grey color and no sound, but issue is still present of course.
Project is supposed to live in '/home/corinne' and should be untarred there, expanding to "Vidéo/2005/...".
TagsNo tags attached.
Build/Install Method
Attached Files? file icon anniv meme 2005.kdenlive [^] (3,874 bytes) 2008-11-24 13:41
jpeg file icon kdenlive_bug-358.jpeg [^] (97,949 bytes) 2008-11-25 03:22


patch file icon document_conversion.svn2735.patch [^] (4,707 bytes) 2008-11-25 18:55 [Show Content]
patch file icon document_conversion.svn2735_2.patch [^] (5,615 bytes) 2008-11-25 19:52 [Show Content]
patch file icon document_conversion.svn2787.patch [^] (2,147 bytes) 2008-12-14 20:49 [Show Content]
patch file icon document_conversion-tracks_order.svn2803.patch [^] (2,950 bytes) 2008-12-17 20:50 [Show Content]

- Relationships
related to 0000408closedxzhayon Cannot resolve system encoding 

-  Notes
(0001277)
madsdyd (administrator)
2008-11-20 10:00

I am assigning to myself for no later than 0.7.1. I did not manage for 0.7.0, but will try my best in the near future.

Thanks for providing a good project for testing - please keep it online until this bug is resolved.
(0001344)
madsdyd (administrator)
2008-11-22 12:16

Looking at the project, it appears to have a version stamp of "0.7".

All other kdenlive 0.5 projects I have looked at, had a version stamp of 0.6.

Are you sure this is a kdenlive 0.5 project file, or could it be a kdenlive 0.6 version file?.
(0001375)
aaribaud (reporter)
2008-11-24 13:40

Wrong project I am afraid, seems like a converted one indeed.

I have verified that the issue appears in the original, non-converted, 0.6-stamped kdenlive file, attached here as "anniv meme 2005.kdenlive".
(0001376)
madsdyd (administrator)
2008-11-24 13:42

Thanks a lot - I will take a look at it.
(0001395)
madsdyd (administrator)
2008-11-24 22:09
edited on: 2008-11-24 22:10

OK, I downloaded the project and kdenlive file. This note mostly for the benefit of xzhayon.

Note, this is with very recent svn, which contains some code to "detect" missing files and work around them.

This is what happens, when opening on my system:

When loading the original kdenlive file, it can not find the clips, and asks where they are. I believe this may be a question of character encoding. There are character encoding errors in the "Vidéo" directory.

After loading the file, and telling kdenlive where the .dv files are, if one is to edit, the clips "shrink".

If instead, one saves the file, then restarts kdenlive and loads the new file, it appears that kdenlive can now *locate* the files and construct the clips, but kdenlive warns that the files are "invalid".

I am not sure why it insists the files are invalid. It *might* be because some metadata about the files have been lost in the conversion process.

I am going to investigate some more, but it will take some more time.

(0001401)
xzhayon (developer)
2008-11-25 03:21
edited on: 2008-11-25 06:28

> Note, this is with very recent svn, which contains some code to "detect" missing files and work around them.

i'm using revision 2724 (just after this has been implemented)

> When loading the original kdenlive file, it can not find the clips, and asks where they are. I believe this may be a question of character encoding. There are character encoding errors in the "Vidéo" directory.

i don't have this problem (i symlinked /home/corinne to respect project path), so it is probably related to issue 408 (your problem?)

> After loading the file, and telling kdenlive where the .dv files are, if one is to edit, the clips "shrink".

confirmed
there are also two luma transitions laid one upon the other out of the video tracks (?!)... see attached image

> If instead, one saves the file, then restarts kdenlive and loads the new file, it appears that kdenlive can now *locate* the files and construct the clips, but kdenlive warns that the files are "invalid".

i don't get any warning, the only difference is the disappearance of the lumas

> I am not sure why it insists the files are invalid. It *might* be because some metadata about the files have been lost in the conversion process.

probably right, because the clips have no property (see attached image)
must be related to issue 402

i'll see what i can find

(0001411)
xzhayon (developer)
2008-11-25 18:54
edited on: 2008-11-25 18:57

please mads, see attached patch
it's just a draft, i've tested it only with aaribaud's project which is quite minimal, and it works (there's also some more info in the "edit clip" dialog)
i'm going to test it with my old project (which is full of garbage) to see what to add (but i think that should go in issue 402, this one could be done)

and then i'll clean it (i didn't want to touch your code as much as possible)

(0001412)
xzhayon (developer)
2008-11-25 19:51

forget that patch, here's a new one which enables path correction for missing files
(0001564)
madsdyd (administrator)
2008-12-07 21:46

xzhayon: I have patched the code with your patch. Please feel free to "touch my code", as I do not own any code :-).

aaribaud: I have committed some additional changes to current Kdenlive SVN. I can now load and edit the test project attached to this bug. Please test in your end and let us know if it works for you. Its in Kdenlive SVN rev. 2760.

Sorry about the delay - I hope that we eventually get a tolerable kdenlive 0.5 support, but I am not sure we can get it perfect - at least not without using more effort than may be justified.
(0001616)
aaribaud (reporter)
2008-12-12 13:20

Tested 2777.

Loading fails with an ASSERT FAILURE in QList<T>::operator[]: "index out of range", file /usr/lib/qt4/include/QtCore/qlist.h, line 395. Maybe that's related to the current crash being discussed on the ML?
(0001640)
madsdyd (administrator)
2008-12-13 21:20

After a bit of detective work, it turns out that commit 2766 changed the fileformat, which means that we can no longer load old files.

2769 adds some code to fix this, but it does not appear to work for this project.

I do get a different crash, but that could be due to differences in Qt.

Armed with this information, I will try to fix the problems that 2766 introduced.
(0001644)
xzhayon (developer)
2008-12-14 20:48
edited on: 2008-12-14 21:01

i also got the same error of aaribaud
please see my attached patch, it should fix this and similar (eventual) future problems

i'm not sure because i can't test this, but i think the crash should interest all the projects made with revisions older than 2766

(0001646)
madsdyd (administrator)
2008-12-14 21:10

xzhayon: I just got email about your note, while compiling kdenlive with changes that are very similar to yours! To bad I did not go watch a movie instead, eh! :-)

Anyway, your patch looks good, only one question (I have not looked at the code in detail): why do you comment out the setProfilePath call in line 372?

I am just curious, it sure does look like you know what you are doing...

(Commencing patch test now).
(0001647)
madsdyd (administrator)
2008-12-14 21:28

Oh, one thing more, this belongs to 0000402, really, but I guess we are consolidating here: it seems the westley clip paths gets updated to relative paths sometimes? I think they need to be absolute, not?
(0001648)
xzhayon (developer)
2008-12-14 21:34
edited on: 2008-12-14 22:15

and i was going to see The Day the Earth Stood Still :)

to answer you question: setProfilePath() is already called in the constructor at line 67 (non patched version), and the new infoXml does have attribute "profile" (set on line 660)

(0001649)
xzhayon (developer)
2008-12-14 21:37

do you mean paths OF .westley files or paths IN .westley files?
i'm quite sure they need to be absolute... can you tell me more, just to reproduce the issue?
(0001656)
madsdyd (administrator)
2008-12-15 08:27

I mean paths *in* the westley part of the .kdenlive file.

My situation is this: the test project provided with this bug uses paths with utf8/multibyte chars in (Vidéo) For reasons I can not comprehend, KDE4 does not like the parts of my filesystem with utf8 chars in it. So, everytime I load it, I have to "locate" those clips. After locating, and saving, I get stuff like this in the .kdenlive file:
<producer in="0" out="6999" id="0" >
  <property name="mlt_type" >producer</property>
  <property name="aspect_ratio" >1.066667</property>
  <property name="length" >7000</property>
  <property name="eof" >pause</property>
  <property name="resource" >2005 01 30 Anniv-meme.dv</property>
...
 <kdenlive_producer channels="2" duration="7000" frame_size="720x576" frequency="48000" file_size="1008000000" file_hash="207c609b9821a9ea529973dabe1872e7" type="3" id="2" resource="/tmp/2005 01 30 Anniv-meme 2.dv" />

The kdenlive_producer is right, the westley producer seems wrong?

On a, I think, related note, the clip thumbnails says "Invalid", but the clips do actually play.

Is that enough information?

Oh, and your patch is in rev. 2788, which also means that a test by aaribaud would be nice.

I am going to refactor some of the old-project-loading code too, but I want us to get this code correct before I refactor.
(0001665)
xzhayon (developer)
2008-12-15 11:32

i don't have problems, any of those, and:
<producer in="0" out="6999" id="0" >
  <property name="mlt_type" >producer</property>
  <property name="aspect_ratio" >1.066667</property>
  <property name="length" >7000</property>
  <property name="eof" >pause</property>
  <property name="resource" >/home/corinne/Vidéo/2005/2005 01 30 Anniv-meme/2005 01 30 Anniv-meme.dv</property>
...
  <kdenlive_producer channels="2" duration="7000" frame_size="720x576" frequency="48000" file_size="1008000000" file_hash="207c609b9821a9ea529973dabe1872e7" type="3" id="2" resource="/home/corinne/Vidéo/2005/2005 01 30 Anniv-meme/2005 01 30 Anniv-meme 2.dv" />

i'd think of this to be related to 408, but your .dv isn't in 'Vidéo', so there is no strange character...

could you please retest the project loading/saving commenting out kdenlivedoc.cpp:73?
(0001686)
madsdyd (administrator)
2008-12-15 16:38

xzhayon: I think you can reproduce like this:

mkdir /tmp/anniv
mv /home/corinne/V.../* /tmp/anniv

Now, open the .kdenlive file in /tmp/anniv, locate the clips, save the file and check the paths in the westley property... They should be absolute, not?

And, yes, I think my problem with utf8 is very much related to 408, which annoys me rather a lot.
(0001688)
xzhayon (developer)
2008-12-15 16:55

same thing, paths are absolute
(0001689)
madsdyd (administrator)
2008-12-15 17:11

OK.

We now just need the original reporter to, if possibly, test against the newest SVN (at least 2788).
(0001712)
cinephiliac (updater)
2008-12-16 21:09

Reminder sent to: aaribaud

Hi Aaribaud,

A fix has been committed for bug number 358 that you filed. Can you update your version of Kdenlive to at least 2788 and confirm if this fix worked for you so we can close / fix this bug?

Thanks!
(0001752)
aaribaud (reporter)
2008-12-17 10:39

This changed the behavior but it still is incorrect: now I can drag the right end of the clip and move it, and the clip won't disappear anymore, but when I release the mouse button, the clip goes back to its previous length instead of keeping the size I set.
(0001754)
aaribaud (reporter)
2008-12-17 10:46

Note that each resize attempt results in an ERROR RSIZING BLANK CLIP!!!!!!... Yes, the "E" is missing in "RSIZING"--that makes the error message easier to find. :)
(0001760)
xzhayon (developer)
2008-12-17 12:12

oh yes, i confirm this... i'll see what i can find
(0001766)
xzhayon (developer)
2008-12-17 20:47
edited on: 2008-12-17 20:56

all the projects older than rev 2766 should suffer from this problem (also left drag is broken)
here's a patch that fixes it. please mads, look at it

i moved the code that reads the tracks order in the old projects after all that non-active sort part, so there's no risk we break something activating it in the future

(0001780)
madsdyd (administrator)
2008-12-18 12:09

New patch applied in 2804.

This is starting to become a rather longwinding issue :-)
(0001785)
aaribaud (reporter)
2008-12-18 13:10

Tested on 2807. Resizing works ok now.

... and since it works, we can resize this bug report now. :)
(0001787)
madsdyd (administrator)
2008-12-18 14:11

Fixed in 2804 - finally!

Thanks to everybody for helping out in nailing this issue.

- Issue History
Date Modified Username Field Change
2008-11-15 14:45 aaribaud New Issue
2008-11-19 20:33 madsdyd Status new => assigned
2008-11-19 20:33 madsdyd Assigned To => madsdyd
2008-11-20 10:00 madsdyd Note Added: 0001277
2008-11-20 10:00 madsdyd Target Version => 0.7.1
2008-11-22 12:16 madsdyd Note Added: 0001344
2008-11-22 12:16 madsdyd Status assigned => feedback
2008-11-24 13:40 aaribaud Note Added: 0001375
2008-11-24 13:41 aaribaud File Added: anniv meme 2005.kdenlive
2008-11-24 13:42 madsdyd Note Added: 0001376
2008-11-24 13:42 madsdyd Status feedback => assigned
2008-11-24 22:09 madsdyd Note Added: 0001395
2008-11-24 22:10 madsdyd Note Edited: 0001395
2008-11-24 23:12 madsdyd Relationship added related to 0000408
2008-11-25 03:21 xzhayon Note Added: 0001401
2008-11-25 03:22 xzhayon File Added: kdenlive_bug-358.jpeg
2008-11-25 04:10 xzhayon Note Edited: 0001401
2008-11-25 06:28 xzhayon Note Edited: 0001401
2008-11-25 18:54 xzhayon Note Added: 0001411
2008-11-25 18:55 xzhayon File Added: document_conversion.svn2735.patch
2008-11-25 18:57 xzhayon Note Edited: 0001411
2008-11-25 19:51 xzhayon Note Added: 0001412
2008-11-25 19:52 xzhayon File Added: document_conversion.svn2735_2.patch
2008-12-07 21:46 madsdyd Note Added: 0001564
2008-12-12 13:20 aaribaud Note Added: 0001616
2008-12-13 21:20 madsdyd Note Added: 0001640
2008-12-14 20:48 xzhayon Note Added: 0001644
2008-12-14 20:49 xzhayon File Added: document_conversion.svn2787.patch
2008-12-14 21:01 xzhayon Note Edited: 0001644
2008-12-14 21:10 madsdyd Note Added: 0001646
2008-12-14 21:28 madsdyd Note Added: 0001647
2008-12-14 21:34 xzhayon Note Added: 0001648
2008-12-14 21:37 xzhayon Note Added: 0001649
2008-12-14 22:15 xzhayon Note Edited: 0001648
2008-12-15 08:27 madsdyd Note Added: 0001656
2008-12-15 11:32 xzhayon Note Added: 0001665
2008-12-15 16:38 madsdyd Note Added: 0001686
2008-12-15 16:55 xzhayon Note Added: 0001688
2008-12-15 17:11 madsdyd Note Added: 0001689
2008-12-16 21:09 cinephiliac Note Added: 0001712
2008-12-17 10:39 aaribaud Note Added: 0001752
2008-12-17 10:46 aaribaud Note Added: 0001754
2008-12-17 12:12 xzhayon Note Added: 0001760
2008-12-17 20:47 xzhayon Note Added: 0001766
2008-12-17 20:50 xzhayon File Added: document_conversion-tracks_order.svn2803.patch
2008-12-17 20:53 xzhayon Note Edited: 0001766
2008-12-17 20:56 xzhayon Note Edited: 0001766
2008-12-18 12:09 madsdyd Note Added: 0001780
2008-12-18 13:10 aaribaud Note Added: 0001785
2008-12-18 14:11 madsdyd Note Added: 0001787
2008-12-18 14:11 madsdyd Status assigned => resolved
2008-12-18 14:11 madsdyd Fixed in Version => Recent git
2008-12-18 14:11 madsdyd Resolution open => fixed
2008-12-29 15:36 madsdyd Fixed in Version Recent git => 0.7.1
2008-12-29 15:37 madsdyd Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker